Skip to main content
GET
/
v1
/
organization
/
{orgId}
/
contacts
/
{contactId}
Get an organization contact
curl --request GET \
  --url https://public-api.sessionboard.com/v1/organization/{orgId}/contacts/{contactId} \
  --header 'x-access-token: <api-key>'
{
  "id": "<string>",
  "friendly_id": "<string>",
  "full_name": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "photo_url": "<string>",
  "company_name": "<string>",
  "title": "<string>",
  "about": "<string>",
  "phone_home": "<string>",
  "phone_mobile": "<string>",
  "address_line_1": "<string>",
  "address_line_2": "<string>",
  "address_city": "<string>",
  "address_state": "<string>",
  "address_postal_code": "<string>",
  "address_country": "<string>",
  "website_url": "<string>",
  "linkedin_url": "<string>",
  "twitter_url": "<string>",
  "facebook_url": "<string>",
  "honorific": "<string>",
  "salutation": "<string>",
  "pronouns": "<string>",
  "gender": "<string>",
  "past_companies": "<string>",
  "educational_affiliation": "<string>",
  "highest_level_of_education": "<string>",
  "ethnicity": "<string>",
  "languages": "<string>",
  "speaker_score": "<string>",
  "organization_contact": "<string>",
  "speaker_fee": "<string>",
  "availability": "<string>",
  "preferred_session_format": "<string>",
  "annual_revenue": "<string>",
  "headcount": "<string>",
  "years_in_operation": "<string>",
  "organization_structure": "<string>",
  "industry": "<string>",
  "global_region": "<string>",
  "audience_type": "<string>",
  "target_age_range": "<string>",
  "topic_expertise": "<string>",
  "brand": "<string>",
  "translated_fields": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "parent_field_id": "<string>",
      "parent_field_source": "<string>",
      "parent_field_name": "<string>",
      "parent_field_internal_name": "<string>",
      "translated_language": "<string>",
      "value": "<string>"
    }
  ],
  "custom_fields": [
    {
      "id": "<string>",
      "name": "<string>",
      "value": "<string>",
      "type": "<string>",
      "internal_name": "<string>",
      "created_at": "<string>"
    }
  ]
}

Authorizations

x-access-token
string
header
required

API key for authentication. Obtain from the Sessionboard admin dashboard.

Path Parameters

orgId
string<uuid>
required

The organization ID (UUID).

contactId
string
required

The contact ID.

Query Parameters

expand
string[]

Expand records with additional data. Possible values: translated_fields

Response

OK

A contact (speaker, attendee, or organizational contact) in Sessionboard.

id
string
friendly_id
string
full_name
string
first_name
string
last_name
string
email
string
created_at
string
updated_at
string
photo_url
string
company_name
string
title
string
about
string
phone_home
string
phone_mobile
string
address_line_1
string
address_line_2
string
address_city
string
address_state
string
address_postal_code
string
address_country
string
website_url
string
linkedin_url
string
twitter_url
string
facebook_url
string
honorific
string
salutation
string
pronouns
string
gender
string
past_companies
string
educational_affiliation
string
highest_level_of_education
string
ethnicity
string
languages
string
speaker_score
string
organization_contact
string
speaker_fee
string
availability
string
preferred_session_format
string
annual_revenue
string
headcount
string
years_in_operation
string
organization_structure
string
industry
string
global_region
string
audience_type
string
target_age_range
string
topic_expertise
string
brand
string
translated_fields
object[]
custom_fields
object[]